## org.eclipse.emf.codegen.ecore.genmodel.util
Class GenModelUtil

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.util.GenModelUtil

    public class GenModelUtil

extends java.lang.Object

This class contains convenient static methods for working with GenModel objects.

Since:
  2.2.0

Constructor Summary
`GenModelUtil()`

Method Summary
`static java.lang.String` `getAnnotation(GenBase genBase, java.lang.String sourceURI, java.lang.String key)`
`static void` `setAnnotation(GenBase genBase, java.lang.String sourceURI, java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenModelUtil

    public GenModelUtil()

Method Detail

### getAnnotation

    public static java.lang.String getAnnotation(GenBase genBase,
                                                 java.lang.String sourceURI,
                                                 java.lang.String key)

### setAnnotation

    public static void setAnnotation(GenBase genBase,
                                     java.lang.String sourceURI,
                                     java.lang.String key,
                                     java.lang.String value)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.